MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032306Open CASCADE[OCCT] OCCT:DRAWpublic2021-04-16 13:252021-04-25 12:26
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032306: Draw Harness, ViewerTest - move window message processing to TKService
DescriptionViewerTest handles platform-dependent window management code redirecting window input messages to AIS_ViewController.
It is proposed (partially) moving this logic to corresponding window classes in TKService.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032308verifiedbugmaster Configuration - make Xlib dependency optional 

-  Notes
(0100336)
git (administrator)
2021-04-16 13:28

Branch CR32306 has been created by kgv.

SHA-1: 83ec0bcd9e167e31ce5b5a6af912b1762b280b76


Detailed log of new commits:

Author: kgv
Date: Fri Apr 16 13:01:17 2021 +0300

    0032306: Draw Harness, ViewerTest - move window message processing to TKService
    
    Aspect_WindowInputListener - basic mouse/keyboard/expose input methods
    have been moved out from AIS_ViewController to dedicated base interface.
    
    Added WNT_Window::ProcessMessage() method redirecting Win32 message to Aspect_WindowInputListener.
(0100337)
git (administrator)
2021-04-16 13:59

Branch CR32306 has been updated forcibly by kgv.

SHA-1: aafd3e6a6c4a1147a54214e37adfcf29468ef22c
(0100338)
git (administrator)
2021-04-16 14:05

Branch CR32306 has been updated forcibly by kgv.

SHA-1: cf0815292e27e0928b97a042b8d25e1c04539f1f
(0100339)
git (administrator)
2021-04-16 14:48

Branch CR32306 has been updated forcibly by kgv.

SHA-1: af4fb0980934add62b317ec9911855f54b091e66
(0100341)
git (administrator)
2021-04-16 15:18

Branch CR32306 has been updated forcibly by kgv.

SHA-1: f8896af7b3e35795b00a5b64db3ab012eb9b6096
(0100342)
git (administrator)
2021-04-16 15:23

Branch CR32306 has been updated forcibly by kgv.

SHA-1: 2259f8021900b66a4723de62c27bf812e1a85ade
(0100343)
git (administrator)
2021-04-16 15:26

Branch CR32306 has been updated forcibly by kgv.

SHA-1: 037fb3354fcfe48676aeb99fc60c48a059a8871e
(0100423)
git (administrator)
2021-04-17 15:17

Branch CR32306 has been updated forcibly by kgv.

SHA-1: e8e157df453a19d564ebfebdc5c67ecc5912885a
(0100433)
kgv (developer)
2021-04-17 20:41

Patch is ready for review
- OCCT: branch CR32306;
- OCC Products: branch CR32306.
(0100448)
osa (developer)
2021-04-19 10:21

Patches were reviewed
(0100542)
bugmaster (administrator)
2021-04-25 10:57

Combination -
OCCT branch : IR-2021-04-23
master SHA - fd2efe5428b3b2b9d300b0612c0a53ee2486ba64
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-23 SHA - 740db2b9c0429fd95b1e8cf3790001245aaec02b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17901.710000000523 / 17988.35000000045 [-0.48%]
Products
Total CPU difference: 11558.800000000136 / 11564.760000000093 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 5522.40625 / 5520.953125 [+0.03%]
Products
Total CPU difference: 12871.203125 / 12932.890625 [-0.48%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100566)
git (administrator)
2021-04-25 12:24

Branch CR32306 has been deleted by inv.

SHA-1: e8e157df453a19d564ebfebdc5c67ecc5912885a

- Related Changesets
occt: master e8e157df
Timestamp: 2021-04-16 10:01:17
Author: kgv
Details ] Diff ]
0032306: Draw Harness, ViewerTest - move window message processing to TKService

Aspect_WindowInputListener - basic mouse/keyboard/expose input methods
have been moved out from AIS_ViewController to dedicated base interface.

Added WNT_Window::ProcessMessage()/Xw_Window::ProcessMessage() methods
redirecting Win32/X11 message to Aspect_WindowInputListener.
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/AIS/AIS_ViewController.hxx Diff ] File ]
add - src/Aspect/Aspect_WindowInputListener.cxx Diff ] File ]
add - src/Aspect/Aspect_WindowInputListener.hxx Diff ] File ]
mod - src/Aspect/FILES Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/WNT/FILES Diff ] File ]
mod - src/WNT/WNT_Window.cxx Diff ] File ]
mod - src/WNT/WNT_Window.hxx Diff ] File ]
rm - src/WNT/WNT_Window.lxx Diff ] File ]
mod - src/Xw/Xw_Window.cxx Diff ] File ]
mod - src/Xw/Xw_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-16 13:25 kgv New Issue
2021-04-16 13:25 kgv Assigned To => kgv
2021-04-16 13:28 git Note Added: 0100336
2021-04-16 13:59 git Note Added: 0100337
2021-04-16 14:05 git Note Added: 0100338
2021-04-16 14:48 git Note Added: 0100339
2021-04-16 15:18 git Note Added: 0100341
2021-04-16 15:23 git Note Added: 0100342
2021-04-16 15:26 git Note Added: 0100343
2021-04-17 15:17 git Note Added: 0100423
2021-04-17 20:41 kgv Note Added: 0100433
2021-04-17 20:41 kgv Assigned To kgv => osa
2021-04-17 20:41 kgv Status new => resolved
2021-04-17 20:42 kgv Relationship added related to 0032308
2021-04-19 10:21 osa Note Added: 0100448
2021-04-19 10:21 osa Assigned To osa => bugmaster
2021-04-19 10:21 osa Status resolved => reviewed
2021-04-25 10:57 bugmaster Note Added: 0100542
2021-04-25 10:57 bugmaster Status reviewed => tested
2021-04-25 11:04 bugmaster Test case number => Not required
2021-04-25 11:55 kgv Changeset attached => occt master e8e157df
2021-04-25 11:55 kgv Assigned To bugmaster => kgv
2021-04-25 11:55 kgv Status tested => verified
2021-04-25 11:55 kgv Resolution open => fixed
2021-04-25 12:24 git Note Added: 0100566


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker